%define        group_audio 11
%define        group_cdrecording 12
%define        group_cdrom 19
%define        group_input 20
%define        group_video 24
%define        group_camera 22
%define        group_scanner 23
%define        group_nvram 50
%define        group_kvm 31
%define        group_systemd_journal 57
%define        user_systemd_journal_gateway 58
%define        group_systemd_journal_gateway 58
%define        user_systemd_network 60
%define        group_systemd_network 60
%define        user_systemd_resolve 61
%define        group_systemd_resolve 61
%define        user_systemd_bus_proxy 62
%define        group_systemd_bus_proxy 62
%define        user_systemd_timesync 64
%define        group_systemd_timesync 64
%define        user_systemd_journal_remote 65
%define        group_systemd_journal_remote 65
%define        user_systemd_journal_upload 66
%define        group_systemd_journal_upload 66
%define        group_render 71

Name:          systemd
Epoch:         2
Version:       257.4
Release:       1mamba
Summary:       A system and service manager compatible with SysV and LSB init scripts
Group:         System/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://systemd.io/
Source:        https://github.com/systemd/systemd.git/v%{version}/systemd-%{version}.tar.bz2
Source2:       udev-permissions.rules
Source4:       udev-openmamba.rules
Source8:       udev-check-cdrom.sh
Source10:      triggers.systemd
Source11:      udev-MAKEDEV
Source13:      udev-blacklist
Source14:      udev-ifupdown.rules
Source15:      udev-post-initscript
Source16:      udev-sysconfig
Source17:      systemd-sysv-install
Patch24:       systemd-254.5-systemd-networkd-wait-online-condition-networks-managed.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libacl-devel
BuildRequires: libapparmor-devel
BuildRequires: libaudit-devel
BuildRequires: libblkid-devel
BuildRequires: libbzip2-devel
BuildRequires: libcap-devel
BuildRequires: libcryptsetup-devel
BuildRequires: libcurl-devel
BuildRequires: libfdisk-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: liblzma-devel
BuildRequires: libmicrohttpd-devel
BuildRequires: libmount-devel
BuildRequires: libopenssl-devel
BuildRequires: libpam-devel
BuildRequires: libseccomp-devel
BuildRequires: libselinux-devel
BuildRequires: libxcrypt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: rpm >= 1:4.20.0-2mamba
BuildRequires: docbook-xsl >= 1.79.2-3mamba
BuildRequires: kmod >= 28-3mamba
BuildRequires: iptables-devel >= 1.8.3
BuildRequires: meson
BuildRequires: ninja
BuildRequires: python3dist(pyelftools)
BuildRequires: python3dist(jinja2)
BuildRequires: vala-tools
Conflicts:     sysvinit
Conflicts:     initscripts-sysv5
Requires:      dbus >= 1.13.2
Requires:      kbd
Requires:      libkmod >= 29-2mamba
Requires:      liblockdev
Requires:      libsystemd = %{?epoch:%epoch:}%{version}-%{release}
Requires:      sysvinit-tools
Requires:      udev = %{?epoch:%epoch:}%{version}-%{release}
Provides:      /sbin/halt
Provides:      /sbin/poweroff
Provides:      /sbin/reboot
Provides:      /sbin/shutdown
Provides:      /usr/sbin/shutdown
Requires(pre): filesystem >= 2.3-10mamba
Requires(post): findutils
Requires(post): grep
Requires(post): pwdutils
Provides:      laptop-mode-tools
Obsoletes:     laptop-mode-tools < 248
Provides:      systemd-core
Obsoletes:     systemd-core <= 2:248-4mamba

%description
systemd is a system and service manager for Linux, compatible with SysV and LSB init scripts.
systemd provides aggressive parallelization capabilities, uses socket and D-Bus activation for starting services, offers on-demand starting of daemons, keeps track of processes using Linux cgroups, supports snapshotting and restoring of the system state, maintains mount and automount points and implements an elaborate transactional dependency-based service control logic.
It can work as a drop-in replacement for sysvinit.

%package -n libsystemd
Summary:       systemd libraries
Group:         System/Libraries
%ifarch x86_64 aarch64
Requires(pre): libc.so.6(GLIBC_2.38)(64bit)
Requires(pre): libcrypt.so.1(XCRYPT_4.4)(64bit)
%else
Requires(pre): libc.so.6(GLIBC_2.38)
Requires(pre): libcrypt.so.1(XCRYPT_4.4)
%endif

%description -n libsystemd
systemd is a system and service manager for Linux, compatible with SysV and LSB init scripts.
systemd provides aggressive parallelization capabilities, uses socket and D-Bus activation for starting services, offers on-demand starting of daemons, keeps track of processes using Linux cgroups, supports snapshotting and restoring of the system state, maintains mount and automount points and implements an elaborate transactional dependency-based service control logic.
It can work as a drop-in replacement for sysvinit.
This package contains the systemd libraries.

%package -n libsystemd-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      libsystemd = %{?epoch:%epoch:}%{version}-%{release}
Provides:      systemd-devel
Obsoletes:     systemd-devel < 2:248

%description -n libsystemd-devel
systemd is a system and service manager for Linux, compatible with SysV and LSB init scripts.
systemd provides aggressive parallelization capabilities, uses socket and D-Bus activation for starting services, offers on-demand starting of daemons, keeps track of processes using Linux cgroups, supports snapshotting and restoring of the system state, maintains mount and automount points and implements an elaborate transactional dependency-based service control logic.
It can work as a drop-in replacement for sysvinit.
This package contains static libraries and header files needed for development.

%package -n udev
Summary:       A userspace tool to manage a dynamic devices directory
Group:         System/Kernel and Hardware
Conflicts:     devfsd
Conflicts:     udev173
Obsoletes:     devfsd < 2:248
Obsoletes:     hotplug < 2:248
Provides:      udev-static
Obsoletes:     udev-static < 2:248
Requires(pre): grep
Requires(post): /usr/sbin/groupadd
Requires(post): setup
Requires(post): systemd = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libudev = %{?epoch:%epoch:}%{version}-%{release}

%description -n udev
Udev allows Linux users to have a dynamic /dev directory and it provides the ability to have persistent device names.
It also replaces hotplug and runs entirely in userspace.

%package -n libudev
Summary:       udev libraries
Group:         System/Libraries
%ifarch x86_64 aarch64
Provides:      libudev.so.0()(64bit)
Requires(pre): libc.so.6(GLIBC_2.38)(64bit)
Requires(pre): libcrypt.so.1(XCRYPT_4.4)(64bit)
%else
Provides:      libudev.so.0
Requires(pre): libc.so.6(GLIBC_2.38)
Requires(pre): libcrypt.so.1(XCRYPT_4.4)
%endif

%description -n libudev
Udev allows Linux users to have a dynamic /dev directory and it provides the ability to have persistent device names.
It also replaces hotplug and runs entirely in userspace.
This package provides udev libraries.

%package -n libudev-devel
Summary:       Development files for udev
Group:         Development/Libraries
Requires:      libudev = %{?epoch:%epoch:}%{version}-%{release}
Provides:      udev-devel
Obsoletes:     udev-devel < 2:248

%description -n libudev-devel
Udev allows Linux users to have a dynamic /dev directory and it provides the ability to have persistent device names.
It also replaces hotplug and runs entirely in userspace.
This package include development files for building software using udev libraries.


%prep
%setup -q
#-D -T
#:<< _EOF
%patch 24 -p 1

%build
#:<< _EOF
# LANG Workaround for meson error
export LANG="en_US.UTF-8"
export LC_ALL="en_US.UTF-8"

%meson \
   --prefix=%{_prefix} \
   --bindir=%{_bindir} \
   --sbindir=%{_sbindir} \
   --sysconfdir=%{_sysconfdir} \
   --datadir=%{_datadir} \
   --includedir=%{_includedir} \
   --libdir=%{_libdir} \
   --libexecdir=%{_libexecdir} \
   --localstatedir=%{_localstatedir} \
   --mandir=%{_mandir} \
   --infodir=%{_datadir}/info \
   -Dapparmor=true \
   -Dbootloader=true \
   -Dc_std=gnu11 \
   -Drootlibdir=%{_libdir} \
   -Dpamlibdir=%{_libdir}/security \
   -Dtty-gid=4 \
   -Dman=true \
   -Dusers-gid=100 \
   -Dsplit-bin=false \
   -Dsysvinit-path=%{_initrddir} \
   -Drc-local=%{_initrddir}/rc.local \
   -Ddebug-shell=/bin/sh \
   -Dlink-executor-shared=false \
   -Ddefault-dnssec=no \
   -Dsystem-uid-max=998 \
   -Dsystem-gid-max=998 \
   -Ddefault-kill-user-processes=false \
   -Drpmmacrosdir=%{_rpmmacrodir} \
   -Dsupport-url="https://openmamba.org" \
   -Dntp-servers="0.europe.pool.ntp.org 1.europe.pool.ntp.org 2.europe.pool.ntp.org 3.europe.pool.ntp.org" \
   -Ddefault-hierarchy=unified \
   -Dfallback-hostname="openmamba" \
   -Dsbat-distro="openmamba" \
   -Dsbat-distro-summary="openmamba Linux" \
   -Dsbat-distro-pkgname="%{name}" \
   -Dsbat-distro-version="%{version}" \
   -Dsbat-distro-url="https://openmamba.org/it/pacchetti/?tag=devel&pkg=systemd.source" \
%ifarch arm
   -Dtests=false
%endif
   
%meson_build

if ! diff -u %{SOURCE10} build/src/core/triggers.systemd; then
   echo -e "\n\n\nWARNING: triggers.systemd in Source10 is different!"
   echo -e "      cp build/src/core/triggers.systemd %{SOURCE10}\n\n\n"
   sleep 5
fi

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install
#rpmmacrosdir=%{_sysconfdir}/rpm

install -D -m644 %{S:2} \
   %{buildroot}%{_prefix}/lib/udev/rules.d/60-permissions.rules
install -D -m644 %{S:4} \
   %{buildroot}%{_prefix}/lib/udev/rules.d/55-udev-openmamba.rules
#install -D -m755 %{S:14} \
#   %{buildroot}/lib/udev/rules.d/85-ifupdown.rules
install -D -m755 %{S:8} \
   %{buildroot}%{_prefix}/lib/udev/check-cdrom.sh

install -D -m644 %{S:13} \
   %{buildroot}%{_sysconfdir}/modprobe.d/udev.conf
#install -d -m0755 %{buildroot}/sbin
# compatibility symlinks
#ln -s /lib/systemd/systemd-udevd %{buildroot}/sbin/udevd
ln -s libudev.so.1 %{buildroot}/%{_libdir}/libudev.so.0

# /etc/mtab symlink
ln -s /proc/mounts %{buildroot}%{_sysconfdir}/mtab

# install libnss_myhostname.so.* to /%{lib}
#mv %{buildroot}%{_libdir}/libnss_myhostname.so.* %{buildroot}/%{_lib}/

# install our systemd-sysv-install
install -D -m0755 %{SOURCE17} %{buildroot}%{_prefix}/lib/systemd/systemd-sysv-install
%find_lang %{name}

install -d -m0755 %{buildroot}%{_sysconfdir}/repart.d
install -d -m0755 %{buildroot}%{_prefix}/lib/repart.d

# own system log files previously owned by initscripts package
mkdir -p %{buildroot}%{_localstatedir}/log
touch %{buildroot}%{_localstatedir}/log/lastlog
chmod 0664 %{buildroot}%{_localstatedir}/log/lastlog
touch %{buildroot}%{_localstatedir}/log/{w,b}tmp
mkdir -p %{buildroot}/run
touch %{buildroot}/run/utmp

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%include %{SOURCE10}

%pre
[ -e %{_sysconfdir}/mtab -a ! -L %{_sysconfdir}/mtab ] && rm -f %{_sysconfdir}/mtab
[ -L /var/lib/systemd/timesync ] && rm -f /var/lib/systemd/timesync
:

%post
if [ $1 -ge 1 ]; then
   # causes systemd not to boot since 219
   sed -i "/\/proc\/bus\/usb/d" /etc/fstab
   # SYSV5 -> Systemd migration
   [ -e /etc/machine-id ] || systemd-machine-id-setup >/dev/null 2>&1
   if [ ! -e %{_sysconfdir}/hostname ]; then
      [ -e %{_sysconfdir}/sysconfig/network ] && . %{_sysconfdir}/sysconfig/network
	  [ "$HOSTNAME" ] && echo "$HOSTNAME" > %{_sysconfdir}/hostname
   fi
   [ -e %{_sysconfdir}/modules.d -a ! -L %{_sysconfdir}/modules.d ] && {
      mv %{_sysconfdir}/modules.d/* %{_sysconfdir}/modules-load.d/ 2>/dev/null || true
	  rmdir %{_sysconfdir}/modules.d || true
	  ln -s modules-load.d %{_sysconfdir}/modules.d
   }
   groupadd systemd-journal -g %{group_systemd_journal} 2>/dev/null
   groupadd systemd-journal-gateway -g %{group_systemd_journal_gateway} 2>/dev/null
   useradd -u %{user_systemd_journal_gateway} -g systemd-journal-gateway \
      -d /var/log/journal -s /sbin/nologin -c "Journal Gateway" \
	  systemd-journal-gateway 2>/dev/null
   groupadd systemd-journal-remote -g %{group_systemd_journal_remote} 2>/dev/null
   useradd -u %{user_systemd_journal_remote} -g systemd-journal-remote \
      -d /dev/null -s /sbin/nologin -c "Systemd journal remote" \
	  systemd-journal-remote 2>/dev/null
   groupadd systemd-journal-upload -g %{group_systemd_journal_upload} 2>/dev/null
   useradd -u %{user_systemd_journal_upload} -g systemd-timesync \
      -d /dev/null -s /sbin/nologin -c "Systemd journal upload" \
	  systemd-journal-upload 2>/dev/null
   groupadd systemd-network -g %{group_systemd_network} 2>/dev/null
   useradd -u %{user_systemd_network} -g systemd-network \
      -d /dev/null -s /sbin/nologin -c "Systemd Network" \
	  systemd-network 2>/dev/null
   groupadd systemd-resolve -g %{group_systemd_resolve} 2>/dev/null
   useradd -u %{user_systemd_resolve} -g systemd-resolve \
      -d /dev/null -s /sbin/nologin -c "Systemd Resolve" \
	  systemd-resolve 2>/dev/null
   groupadd systemd-bus-proxy -g %{group_systemd_bus_proxy} 2>/dev/null
   useradd -u %{user_systemd_bus_proxy} -g systemd-bus-proxy \
      -d /dev/null -s /sbin/nologin -c "Systemd Bus proxy" \
	  systemd-bus-proxy 2>/dev/null
   groupadd systemd-timesync -g %{group_systemd_timesync} 2>/dev/null
   useradd -u %{user_systemd_timesync} -g systemd-timesync \
      -d /dev/null -s /sbin/nologin -c "Systemd time sync" \
	  systemd-timesync 2>/dev/null
   # Fix previously configured myhostname in last position
   grep "^hosts:.* myhostname$" /etc/nsswitch.conf &>/dev/null && \
      sed -i "s| myhostname||" /etc/nsswitch.conf
   # Configure libnss_myhostanme.so resolver
   grep "^hosts:.* myhostname" /etc/nsswitch.conf &>/dev/null || \
      sed -i "s|\(^hosts:.*files\)|\1 myhostname|" /etc/nsswitch.conf
	  
   systemctl daemon-reexec &>/dev/null || {
      # From Fedora:
	  # systemd v239 had bug #9553 in D-Bus authentication of the private socket,
	  # which was later fixed in v240 by #9625.
      # To work around this issue, let's fall back to using a `kill -TERM 1` to	
      # re-execute the daemon when the `systemctl daemon-reexec` call fails.
      if [ $1 -gt 1 ] && [ -d /run/systemd/system ] ; then
         kill -TERM 1 &>/dev/null || :	
      fi
   }
fi
if [ $1 -eq 1 ]; then
   systemctl preset-all &>/dev/null || :	
   systemctl --global preset-all &>/dev/null || :
   # Create /etc/resolv.conf symlink.
   ln -fsv ../run/systemd/resolve/stub-resolv.conf /etc/resolv.conf
fi
:

%postun
if [ $1 -eq 0 ]; then
   grep "^hosts:.* myhostname" /etc/nsswitch.conf &>/dev/null && \
      sed -i "s| myhostname||" /etc/nsswitch.conf

fi
:

%triggerun -- systemd-core <= 2:248-2mamba
# From Fedora
# This is for upgrades from previous versions before systemd-resolved became the default.
systemctl --no-reload preset systemd-resolved.service &>/dev/null || :	
if systemctl -q is-enabled systemd-resolved.service &>/dev/null; then	
  systemctl -q is-enabled NetworkManager.service 2>/dev/null && \
  ! test -L /etc/resolv.conf 2>/dev/null && \
  ! mountpoint /etc/resolv.conf &>/dev/null && \
  grep -q 'Generated by NetworkManager' /etc/resolv.conf 2>/dev/null && \	
  echo -e '/etc/resolv.conf was generated by NetworkManager.\nRemoving it to let systemd-resolved manage this file.' && \	
  mv -v /etc/resolv.conf /etc/resolv.conf.orig-with-nm && \
  ln -sv ../run/systemd/resolve/stub-resolv.conf /etc/resolv.conf 2>/dev/null || :	
  systemctl start systemd-resolved.service &>/dev/null || :
fi
:

%triggerpostun -- systemd-core < 2:248
# /bin and /sbin are removed during old filesystem postun
[ -e /lib/systemd ] || ln -s ../usr/lib/systemd /lib/systemd
:

%posttrans
if [ $1 -ge 1 ]; then
# Recreate /lib/systemd as symlink if it has been deleted by a previous upgrade 
[ -e /lib/systemd ] || ln -s ../usr/lib/systemd /lib/systemd
[ ! -L /lib -a ! -L /lib/systemd ] && {
  # Migrate /lib/system -> /usr/lib/system
  for d in systemd; do
   [ -L /lib/$d ] && continue
   echo "Migrating /lib/$d to /usr/lib/$d..."
   for f in /lib/$d/*; do
      dest=/usr$f
      if [ -e $dest ]; then
         #echo "$f exists as $dest"
         if [ -L $f ]; then
            linkdest=`readlink $f`
            #echo "$f is a symlink to $linkdest"
            rm -f $f
         elif [ -L $dest ]; then
            linkdest=`readlink $dest`
            #echo "$dest is a symlink to $linkdest"
            rm -f $dest && mv $f $dest
		 elif [ -d $dest ]; then
		    # second directory level
		    for f1 in $f/*; do
			   dest1=/usr$f1 
			   if [ ! -d $dest1 ]; then
			      mv $f1 $dest1
			   else
			      # third directory level (should be enough)
				  for f2 in $f1/*; do
				     mv $f2 $dest1/
				  done
                  rmdir $f1 2>/dev/null || true	
			   fi
			done
			rmdir $f 2>/dev/null || true	
         else
            #echo "$f exists as a file also as $linkdest"
            rm -f $f
         fi
      else
         if [ -L $f ]; then
            linkdest=`readlink $f`
            if [ "${linkdest:0:3}" = "../" ]; then
               fulllinkdest=`readlink -f $f`
               #echo "$f is a symlink pointing to ../ -> fixing"
               ln -s $fulllinkdest $dest
               rm -f $f
            else
               mv $f $dest
            fi
         else
            mv $f $dest
         fi
      fi
   done
   rmdir /lib/$d || mv /lib/$d /lib/$d.notmigrated
   ln -s ../usr/lib/$d /lib/$d
  done
}
# Add if missing for safety
[ -e /lib/systemd ] || ln -s ../usr/lib/systemd /lib/systemd
[ -e /etc/resolv.conf ] || ln -fsv ../run/systemd/resolve/stub-resolv.conf /etc/resolv.conf

   systemctl --no-reload preset systemd-timesyncd
   # remove broken left sysv5 symlink due to migrating services to systemd
   find /etc/rc*.d/* -xtype l -delete 2>/dev/null
   # fix initial console fonts with lighter one and working FONT_MAP (219)
   grep -q "^FONT_MAP=8859-1_to_uni" /etc/vconsole.conf && {
      sed -i "s|^FONT_MAP=8859-1_to_uni|FONT_MAP=latin2u|" /etc/vconsole.conf
      sed -i "s|^FONT=lat9w-16|FONT=LatGrkCyr-8x16|" /etc/vconsole.conf
   }
   systemctl -q daemon-reload
   KVER=`uname -r`
   INITRAMFS=/boot/initramfs-$KVER.img
   KERNEL=/boot/vmlinuz-$KVER
   if [ -e $INITRAMFS -a /etc/systemd/system.conf -nt $INITRAMFS ]; then
      [ -e $KERNEL -a -e /usr/bin/dracut ] && dracut $INITRAMFS $KVER -H -f -q
   fi
fi
:


%pre -n udev
# backup persistent-net rules file if it has an old syntax
if [ -e %{_sysconfdir}/udev/rules.d/70-persistent-net.rules ]; then
   grep "ATTRS{" %{_sysconfdir}/udev/rules.d/70-persistent-net.rules >/dev/null && \
      mv %{_sysconfdir}/udev/rules.d/70-persistent-net.rules \
	     %{_sysconfdir}/udev/rules.d/70-persistent-net.rules.save
fi
:

%post -n udev
if [ $1 -ge 1 ]; then
   systemd-hwdb update
   udevadm trigger -a change
fi

groupadd audio -g %{group_audio} 2>/dev/null
groupadd cdrecording -g %{group_cdrecording} 2>/dev/null
groupadd cdrom -g %{group_cdrom} 2>/dev/null
groupadd input -g %{group_input} 2>/dev/null
groupadd video -g %{group_video} 2>/dev/null
groupadd camera -g %{group_camera} 2>/dev/null
groupadd scanner -g %{group_scanner} 2>/dev/null
groupadd nvram -g %{group_nvram} 2>/dev/null
groupadd kvm -g %{group_kvm} 2>/dev/null
groupadd render -g %{group_render} 2>/dev/null
:

%triggerpostun -n udev -- udev < 2:248
# /bin and /sbin are removed during old filesystem postun
[ -e /lib/udev ] || ln -s ../usr/lib/udev /lib/udev
:

%posttrans -n udev
[ ! -L /lib -a ! -L /lib/udev ] && {
  # Migrate /lib/udev -> /usr/lib/udev migration
  for d in udev; do
   [ -L /lib/$d ] && continue
   echo "Migrating /lib/$d to /usr/lib/$d..."
   for f in /lib/$d/*; do
      dest=/usr$f
      if [ -e $dest ]; then
         #echo "$f exists as $dest"
         if [ -L $f ]; then
            linkdest=`readlink $f`
            #echo "$f is a symlink to $linkdest"
            rm -f $f
         elif [ -L $dest ]; then
            linkdest=`readlink $dest`
            #echo "$dest is a symlink to $linkdest"
            rm -f $dest && mv $f $dest
		 elif [ -d $dest ]; then
		    # second directory level
		    for f1 in $f/*; do
			   mv $f1 $dest/
			done
			rmdir $f 2>/dev/null || true	
         else
            #echo "$f exists as a file also as $linkdest"
            rm -f $f
         fi
      else
         if [ -L $f ]; then
            linkdest=`readlink $f`
            if [ "${linkdest:0:3}" = "../" ]; then
               fulllinkdest=`readlink -f $f`
               #echo "$f is a symlink pointing to ../ -> fixing"
               ln -s $fulllinkdest $dest
               rm -f $f
            else
               mv $f $dest
            fi
         else
            mv $f $dest
         fi
      fi
   done
   rmdir /lib/$d || mv /lib/$d /lib/$d.notmigrated
   ln -s ../usr/lib/$d /lib/$d
  done
}
# Add if missing for safety
[ -e /lib/udev ] || ln -s ../usr/lib/udev /lib/udev
:

%transfiletriggerin -- %{_unitdir} /etc/systemd/system
systemctl daemon-reload &>/dev/null || :

%transfiletriggerun -- %{_unitdir} /etc/systemd/system
systemctl daemon-reload &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root)
%dir %{_sysconfdir}/kernel/install.d
%{_sysconfdir}/profile.d/70-systemd-shell-extra.sh
%dir %{_sysconfdir}/systemd
%config(noreplace) %{_sysconfdir}/systemd/coredump.conf
%config(noreplace) %{_sysconfdir}/systemd/journal-remote.conf
%config(noreplace) %{_sysconfdir}/systemd/journal-upload.conf
%config(noreplace) %{_sysconfdir}/systemd/journald.conf
%config(noreplace) %{_sysconfdir}/systemd/logind.conf
%config(noreplace) %{_sysconfdir}/systemd/networkd.conf
%config(noreplace) %{_sysconfdir}/systemd/pstore.conf
%config(noreplace) %{_sysconfdir}/systemd/resolved.conf
%config(noreplace) %{_sysconfdir}/systemd/sleep.conf
%config(noreplace) %{_sysconfdir}/systemd/system.conf
%config(noreplace) %{_sysconfdir}/systemd/timesyncd.conf
%dir %{_sysconfdir}/systemd/network
%dir %{_sysconfdir}/systemd/system
%dir %{_sysconfdir}/systemd/user
%config(noreplace) %{_sysconfdir}/systemd/user.conf
%config(noreplace) %{_sysconfdir}/systemd/homed.conf
%config(noreplace) %{_sysconfdir}/systemd/oomd.conf
%{_sysconfdir}/mtab
%{_sysconfdir}/ssh/ssh_config.d/20-systemd-ssh-proxy.conf
%{_sysconfdir}/ssh/sshd_config.d/20-systemd-userdb.conf
%dir %{_sysconfdir}/binfmt.d
%dir %{_sysconfdir}/modules-load.d
%dir %{_sysconfdir}/repart.d
%dir %{_sysconfdir}/sysctl.d
%dir %{_sysconfdir}/tmpfiles.d
%dir %{_sysconfdir}/xdg/systemd
%{_sysconfdir}/xdg/systemd/user
%{_sysconfdir}/X11/xinit/xinitrc.d/50-systemd-user.sh
%{_initrddir}/README
%{_bindir}/bootctl
%{_bindir}/halt
%{_bindir}/init
%{_bindir}/importctl
%{_bindir}/mount.ddi
%{_bindir}/poweroff
%{_bindir}/reboot
%{_bindir}/run0
%{_bindir}/runlevel
%{_bindir}/shutdown
%{_bindir}/telinit
%{_bindir}/updatectl
%{_prefix}/lib/pam.d/systemd-user
%{_prefix}/lib/pam.d/systemd-run0
%{_bindir}/busctl
%{_bindir}/coredumpctl
%{_bindir}/hostnamectl
%{_bindir}/kernel-install
%{_bindir}/localectl
%{_bindir}/resolvectl
%{_bindir}/timedatectl
%{_bindir}/homectl
%{_bindir}/journalctl
%{_bindir}/loginctl
%{_bindir}/machinectl
%{_bindir}/networkctl
%{_bindir}/oomctl
%{_bindir}/portablectl
%{_bindir}/systemctl
%{_bindir}/systemd-*
%{_bindir}/ukify
%{_bindir}/userdbctl
%{_bindir}/resolvconf
%{_bindir}/varlinkctl
%{_datadir}/bash-completion/completions/*
%exclude %{_datadir}/bash-completion/completions/udevadm
%dir %{_prefix}/lib/kernel
%{_prefix}/lib/kernel/*.conf
%dir %{_prefix}/lib/kernel/install.d
%{_prefix}/lib/kernel/install.d/*.install
%dir %{_prefix}/lib/binfmt.d
%dir %{_prefix}/lib/modules-load.d
%dir %{_prefix}/lib/pcrlock.d
%{_prefix}/lib/pcrlock.d/*
%dir %{_prefix}/lib/repart.d
%dir %{_prefix}/lib/sysctl.d
%{_prefix}/lib/sysctl.d/README
%{_prefix}/lib/sysctl.d/50-*.conf
%dir %{_prefix}/lib/tmpfiles.d
%{_prefix}/lib/tmpfiles.d/README
%dir %{_prefix}/lib/systemd
%{_prefix}/lib/systemd/*
%ifarch %{ix86} arm
%exclude %{_prefix}/lib/systemd/lib*.so
%endif
%dir %{_prefix}/lib/sysusers.d
%{_prefix}/lib/sysusers.d/README
%{_prefix}/lib/sysusers.d/*.conf
%exclude %{_prefix}/lib/systemd/systemd-udevd
%{_prefix}/lib/udev/rules.d/99-systemd.rules
%{_prefix}/lib/environment.d/99-environment.conf
%dir %{_prefix}/lib/modprobe.d
%{_prefix}/lib/modprobe.d/systemd.conf
%{_prefix}/lib/modprobe.d/README
%{_prefix}/lib/tmpfiles.d/*.conf
%{_datadir}/dbus-1/interfaces/org.freedesktop.*.xml
%{_datadir}/dbus-1/system.d/org.freedesktop.*.conf
%{_datadir}/dbus-1/services/org.freedesktop.systemd1.service
%{_datadir}/dbus-1/system-services/org.freedesktop.*.service
%dir %{_datadir}/factory
%dir %{_datadir}/factory/etc
%{_datadir}/factory/etc/issue
%{_datadir}/factory/etc/locale.conf
%{_datadir}/factory/etc/nsswitch.conf
%dir %{_datadir}/factory/etc/pam.d
%{_datadir}/factory/etc/pam.d/other
%{_datadir}/factory/etc/pam.d/system-auth
%{_datadir}/factory/etc/vconsole.conf
%dir %{_datadir}/systemd
%{_datadir}/systemd/kbd-model-map
%{_datadir}/systemd/language-fallback-map
%dir %{_datadir}/systemd/gatewayd
%{_datadir}/systemd/gatewayd/browse.html
%{_datadir}/mime/packages/io.systemd.xml
%{_datadir}/polkit-1/actions/org.freedesktop.*.policy
%{_datadir}/polkit-1/rules.d/systemd-networkd.rules
%{_datadir}/polkit-1/actions/io.systemd.credentials.policy
%{_datadir}/polkit-1/actions/io.systemd.mount-file-system.policy
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/*
%{_datadir}/pkgconfig/systemd.pc
%dir %{_localstatedir}/log/journal
%dir %{_localstatedir}/log/journal/remote
%dir %{_localstatedir}/lib/systemd
%ghost %attr(0664,root,root) %verify(not group) /run/utmp
%ghost %attr(0664,root,root) %verify(not group) /var/log/wtmp
%ghost %attr(0660,root,root) %verify(not group) /var/log/btmp
%ghost %attr(0664,root,root) %verify(not md5 size mtime group) /var/log/lastlog
%{_mandir}/man1/bootctl.1*
%{_mandir}/man1/busctl.1*
%{_mandir}/man1/coredumpctl.1*
%{_mandir}/man1/homectl.1*
%{_mandir}/man1/hostnamectl.1*
%{_mandir}/man1/init.1*
%{_mandir}/man1/importctl.1*
%{_mandir}/man1/journalctl.1*
%{_mandir}/man1/localectl.1*
%{_mandir}/man1/loginctl.1*
%{_mandir}/man1/machinectl.1*
%{_mandir}/man1/mount.ddi.1*
%{_mandir}/man1/networkctl.1*
%{_mandir}/man1/oomctl.1*
%{_mandir}/man1/portablectl.1*
%{_mandir}/man1/resolvconf.1*
%{_mandir}/man1/resolvectl.1*
%{_mandir}/man1/run0.1*
%{_mandir}/man1/systemctl.1*
%{_mandir}/man1/systemd-*
%{_mandir}/man1/systemd.1*
%{_mandir}/man1/timedatectl.1*
%{_mandir}/man1/ukify.1*
%{_mandir}/man1/updatectl.1*
%{_mandir}/man1/userdbctl.1*
%{_mandir}/man5/*.5*
%{_mandir}/man7/*.7*
%{_mandir}/man8/30-systemd-environment-d-generator.8*
%{_mandir}/man8/halt.8*
%{_mandir}/man8/kernel-install.8*
%{_mandir}/man8/libnss_myhostname.so.2.8*
%{_mandir}/man8/libnss_mymachines.so.2.8*
%{_mandir}/man8/libnss_systemd.so.2.8*
%{_mandir}/man8/nss-myhostname.8*
%{_mandir}/man8/nss-mymachines.8*
%{_mandir}/man8/nss-systemd.8*
%{_mandir}/man8/nss-resolve.8*
%{_mandir}/man8/pam_systemd.8*
%{_mandir}/man8/pam_systemd_loadkey.8*
%{_mandir}/man8/pam_systemd_home.8*
%{_mandir}/man8/poweroff.8*
%{_mandir}/man8/rc-local.service.8*
%{_mandir}/man8/reboot.8*
%{_mandir}/man8/runlevel.8*
%{_mandir}/man8/shutdown.8*
%{_mandir}/man8/systemd-*.8*
%{_mandir}/man8/telinit.8*
%{_mandir}/man1/varlinkctl.1*
%doc LICENSE.GPL2

%files -n libsystemd
%defattr(-,root,root)
%{_libdir}/libsystemd.so.*
%{_libdir}/cryptsetup/libcryptsetup-token-systemd*.so
%{_libdir}/systemd/libsystemd-core-*.so
%{_libdir}/systemd/libsystemd-shared-*.so
%{_pam_moduledir}/pam_systemd*.so
%{_libdir}/libnss_*.so.*
%doc LICENSE.LGPL2.1

%files -n libsystemd-devel
%defattr(-,root,root)
%{_rpmmacrodir}/macros.systemd
%dir %{_includedir}/systemd
%{_includedir}/systemd/*.h
%{_libdir}/libsystemd.so
%{_libdir}/pkgconfig/libsystemd.pc
%dir %{_docdir}/systemd
%{_docdir}/systemd/*
%{_mandir}/man3/*.3*
%{_mandir}/man8/libnss_resolve.so.2.8.*
#%doc README TODO

%files -n udev
%defattr(-,root,root)
%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/hwdb.d
%dir %{_sysconfdir}/udev/rules.d
%{_sysconfdir}/udev/udev.conf
%{_sysconfdir}/udev/iocost.conf
%{_sysconfdir}/modprobe.d/udev.conf
%{_bindir}/udevadm
%{_datadir}/bash-completion/completions/udevadm
%{_prefix}/lib/systemd/systemd-udevd
%dir %{_prefix}/lib/udev
%{_prefix}/lib/udev/ata_id
%{_prefix}/lib/udev/cdrom_id
%{_prefix}/lib/udev/check-cdrom.sh
%{_prefix}/lib/udev/dmi_memory_id
%{_prefix}/lib/udev/fido_id
%{_prefix}/lib/udev/iocost
%dir %{_prefix}/lib/udev/hwdb.d
%{_prefix}/lib/udev/hwdb.d/README
%{_prefix}/lib/udev/hwdb.d/*.hwdb
%{_prefix}/lib/udev/mtd_probe
%dir %{_prefix}/lib/udev/rules.d
%{_prefix}/lib/udev/rules.d/README
%{_prefix}/lib/udev/rules.d/*.rules
%exclude %{_prefix}/lib/udev/rules.d/99-systemd.rules
%{_prefix}/lib/udev/scsi_id
%{_prefix}/lib/udev/v4l_id
%{_datadir}/pkgconfig/udev.pc
%{_mandir}/man8/udevadm.8*
%doc LICENSE.GPL2

%files -n libudev
%defattr(-,root,root)
%{_libdir}/libudev.so.*
%doc LICENSE.LGPL2.1

%files -n libudev-devel
%defattr(-,root,root)
%{_includedir}/libudev.h
%{_libdir}/libudev.so
%{_libdir}/pkgconfig/libudev.pc

%changelog
* Sat Mar 08 2025 Automatic Build System <autodist@openmamba.org> 257.4-1mamba
- automatic version update by autodist

* Sat Feb 15 2025 Automatic Build System <autodist@openmamba.org> 257.3-1mamba
- automatic version update by autodist

* Thu Jan 09 2025 Automatic Build System <autodist@openmamba.org> 257.2-1mamba
- automatic version update by autodist

* Tue Dec 31 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 257.1-2mamba
- rebuilt with rpm 1:4.20.0-2mamba for fixing missing user and group provides

* Mon Dec 30 2024 Automatic Build System <autodist@openmamba.org> 257.1-1mamba
- automatic version update by autodist

* Thu Dec 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 256.9-2mamba
- udev: add requires(pre) for systemd and added other pre and post requirements for bootstrap installation
- own /run/utmp, /var/log/{lastlog,wtmp,btmp} formerly from initscripts

* Sat Nov 30 2024 Automatic Build System <autodist@openmamba.org> 256.9-1mamba
- automatic version update by autodist

* Sat Nov 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 256.8-2mamba
- rebuilt with libk-executor-shared=false (see https://github.com/systemd/systemd/commit/d59cae6cebd0fc25a16a020bd28e5303901f1b19)
- removed requirement for initscripts

* Fri Nov 15 2024 Automatic Build System <autodist@openmamba.org> 256.8-1mamba
- automatic version update by autodist

* Wed Oct 30 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 256.7-1mamba
- update to 256.7

* Fri Jun 28 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 255.8-1mamba
- update to 255.8

* Tue May 28 2024 Automatic Build System <autodist@openmamba.org> 255.7-1mamba
- automatic version update by autodist

* Fri May 10 2024 Automatic Build System <autodist@openmamba.org> 255.6-1mamba
- automatic version update by autodist

* Wed Apr 24 2024 Automatic Build System <autodist@openmamba.org> 255.5-1mamba
- automatic version update by autodist

* Wed Feb 28 2024 Automatic Build System <autodist@openmamba.org> 255.4-1mamba
- automatic version update by autodist

* Sat Jan 27 2024 Automatic Build System <autodist@openmamba.org> 255.3-1mamba
- automatic version update by autodist

* Wed Jan 10 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 255.2-2mamba
- don't require dracut for base rootfs

* Sun Dec 24 2023 Automatic Build System <autodist@mambasoft.it> 255.2-1mamba
- automatic version update by autodist

* Sat Dec 16 2023 Automatic Build System <autodist@mambasoft.it> 255.1-1mamba
- automatic version update by autodist

* Tue Dec 12 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 255-2mamba
- require dracut >= 059-4mamba

* Fri Dec 08 2023 Automatic Build System <autodist@mambasoft.it> 255-1mamba
- automatic version update by autodist

* Thu Nov 30 2023 Automatic Build System <autodist@mambasoft.it> 254.7-1mamba
- automatic version update by autodist

* Fri Nov 10 2023 Automatic Build System <autodist@mambasoft.it> 254.6-1mamba
- automatic version update by autodist

* Wed Nov 01 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 254.5-4mamba
- rebuilt with -Ddefault-dnssec=no as support is considered experimental and buggy (see https://github.com/systemd/systemd/issues/25676#issuecomment-1634810897 )

* Sun Oct 15 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 254.5-3mamba
- patch systemd-networkd-wait-online.service so that it doesn't wait if no networks are configured

* Sat Oct 14 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 254.5-2mamba
- rebuilt with bootloader=true

* Thu Sep 28 2023 Automatic Build System <autodist@mambasoft.it> 254.5-1mamba
- automatic version update by autodist

* Mon Sep 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 254.4-3mamba
- provide /usr/sbin/shutdown required by openmamba-lsb-core

* Sun Sep 24 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 254.4-2mamba
- rebuilt with split-bin=false

* Wed Sep 20 2023 Automatic Build System <autodist@mambasoft.it> 254.4-1mamba
- automatic version update by autodist

* Sat Sep 09 2023 Automatic Build System <autodist@mambasoft.it> 254.3-1mamba
- automatic version update by autodist

* Thu Sep 07 2023 Automatic Build System <autodist@mambasoft.it> 254.2-1mamba
- automatic version update by autodist

* Fri Aug 18 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 254.1-2mamba
- add Require(pre) to try to fix glibc/libxcrypt crash on update

* Sat Aug 12 2023 Automatic Build System <autodist@mambasoft.it> 254.1-1mamba
- automatic version update by autodist

* Tue Aug 01 2023 Automatic Build System <autodist@mambasoft.it> 254-1mamba
- automatic version update by autodist

* Tue Jul 18 2023 Automatic Build System <autodist@mambasoft.it> 253.7-1mamba
- automatic version update by autodist

* Tue Jul 11 2023 Automatic Build System <autodist@mambasoft.it> 253.6-1mamba
- automatic version update by autodist

* Fri Jun 02 2023 Automatic Build System <autodist@mambasoft.it> 253.5-1mamba
- automatic version update by autodist

* Wed May 03 2023 Automatic Build System <autodist@mambasoft.it> 253.4-1mamba
- automatic version update by autodist

* Wed Apr 05 2023 Automatic Build System <autodist@mambasoft.it> 253.3-1mamba
- automatic version update by autodist

* Thu Mar 30 2023 Automatic Build System <autodist@mambasoft.it> 253.2-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 253.1-1mamba
- automatic version update by autodist

* Thu Feb 16 2023 Automatic Build System <autodist@mambasoft.it> 253-1mamba
- automatic version update by autodist

* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 252.5-1mamba
- automatic version update by autodist

* Thu Dec 22 2022 Automatic Build System <autodist@mambasoft.it> 252.4-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 252.3-1mamba
- automatic version update by autodist

* Fri Nov 25 2022 Automatic Build System <autodist@mambasoft.it> 252.2-1mamba
- automatic version update by autodist

* Mon Nov 21 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 252.1-3mamba
- install macros.systemd in %_rpmmacrodir

* Fri Nov 18 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 252.1-2mamba
- i586, arm: fix libsystemd-shared installed in both systemd and libsystemd

* Thu Nov 10 2022 Automatic Build System <autodist@mambasoft.it> 252.1-1mamba
- automatic version update by autodist

* Tue Nov 01 2022 Automatic Build System <autodist@mambasoft.it> 252-1mamba
- automatic version update by autodist

* Tue Oct 25 2022 Automatic Build System <autodist@mambasoft.it> 251.7-1mamba
- automatic version update by autodist

* Sun Oct 16 2022 Automatic Build System <autodist@mambasoft.it> 251.6-1mamba
- automatic version update by autodist

* Sun Oct 02 2022 Automatic Build System <autodist@mambasoft.it> 251.5-1mamba
- automatic version update by autodist

* Sat Oct 01 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 251.4-2mamba
- rebuilt with apparmor

* Wed Aug 10 2022 Automatic Build System <autodist@mambasoft.it> 251.4-1mamba
- automatic version update by autodist

* Tue Jul 12 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 251.2-3mamba
- posttrans: fix recreating initramfs (add -H for host-only mode)

* Thu Jun 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 251.2-2mamba
- set default-hierarchy=unified; add fallback-hostname and sbat-distro info

* Sat Jun 04 2022 Automatic Build System <autodist@mambasoft.it> 251.2-1mamba
- automatic version update by autodist

* Wed May 25 2022 Automatic Build System <autodist@mambasoft.it> 251.1-1mamba
- automatic version update by autodist

* Sun May 22 2022 Automatic Build System <autodist@mambasoft.it> 251-1mamba
- automatic version update by autodist

* Sat Apr 30 2022 Automatic Build System <autodist@mambasoft.it> 250.5-1mamba
- automatic version update by autodist

* Sat Mar 12 2022 Automatic Build System <autodist@mambasoft.it> 250.4-1mamba
- automatic version update by autodist

* Fri Feb 25 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 250.3-1mamba
- update to 250.3
- switched to systemd-stable repo

* Mon Dec 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 250-2mamba
- move cryptsetup from libsystemd to systemd for biarch support

* Sun Dec 26 2021 Automatic Build System <autodist@mambasoft.it> 250-1mamba
- automatic version update by autodist

* Tue Aug 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 249-2mamba
- recreate /lib/systemd as symlink if it has been deleted by a previous upgrade

* Thu Jul 08 2021 Automatic Build System <autodist@mambasoft.it> 249-1mamba
- automatic version update by autodist

* Sat May 15 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 248-5mamba
- merge systemd-core into systemd single package
- build require docbook-xsl >= 1.79.2-3mamba to fix man pages stylesheet issues

* Sat Apr 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 248-4mamba
- make sure /etc/resolv.conf link is created on first install

* Thu Apr 22 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 248-3mamba
- enable systemd-resolved and create /etc/resolve.conf as symlink

* Tue Apr 13 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 248-2mamba
- perform migration in posttrans insted of pre of all new files get removed

* Tue Apr 13 2021 Automatic Build System <autodist@mambasoft.it> 248-1mamba
- automatic version update by autodist

* Sat Mar 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 247-3mamba
- include rpm triggers file

* Sat Dec 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 247-2mamba
- added patch with upstream fixes

* Wed Dec 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 247-1mamba
- update to 247

* Thu Oct 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 246-2mamba
- make sure systemd-timesyncd is enabled
- provide empty directories {/etc,/usr/lib}/repart.d and /etc/udev/hwdb.d/

* Sat Aug 01 2020 Automatic Build System <autodist@mambasoft.it> 246-1mamba
- automatic version update by autodist

* Sat Mar 07 2020 Automatic Build System <autodist@mambasoft.it> 245-1mamba
- automatic version update by autodist

* Wed Dec 11 2019 Automatic Build System <autodist@mambasoft.it> 244-1mamba
- automatic version update by autodist

* Tue Oct 29 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 243-3mamba
- rebuild with -Ddefault-hierarchy=hybrid for docker, see https://github.com/docker/cli/issues/2104

* Mon Oct 07 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 243-2mamba
- remove /var/lib/systemd/timesync if it is a symlink to fix systemd-timesyncd service

* Sat Sep 14 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 243-1mamba
- update to 243

* Thu Aug 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 242-4mamba
- fix systemctl and systemd-tmpfiles in systemd.macros

* Mon Jul 22 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 242-3mamba
- set sysvinit-path=%{_initrddir}

* Thu Jul 11 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 242-2mamba
- rebuilt with iptables 1.8.3

* Sun Jun 30 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 242-1mamba
- update to 242
- rebuilt with default-kill-user-processes=no

* Tue Mar 05 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 241-1mamba
- update to 241

* Sun Feb 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 240-2mamba
- upstream patch to fix early boot input/output error while investigating on live usb boot failure since 240

* Fri Dec 28 2018 Automatic Build System <autodist@mambasoft.it> 240-1mamba
- automatic version update by autodist

* Sun Aug 12 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 239-1mamba
- update to 239

* Thu Mar 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 238-2mamba
- create render group
- removed obsolete ifupdown rule and fixed permissions of other custom rules

* Wed Mar 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 238-1mamba
- update to 238

* Tue Jan 02 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 236-2mamba
- upstream patch to fix sysctl boot error

* Wed Dec 20 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 236-1mamba
- update to 236

* Wed Dec 20 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 235-2mamba
- remove disable-systemd-coredump patch (also fix typo: core_uses_pid not core_users_pid)

* Wed Nov 15 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 235-1mamba
- update to 235
- provide/obsolete laptop-mode-tools

* Mon Aug 14 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 234-1mamba
- update to 234

* Sat Dec 24 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 232-8mamba
- patch to disable restrict_address_families causing protocol not supported errors on boot

* Mon Dec 05 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 232-7mamba
- also symlink libsystemd.l and libudev.la to %{_libdir}

* Sun Dec 04 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 232-6mamba
- retry fix just adding libsystemd.so and libudev.so symlinks to %{_libdir}

* Sat Dec 03 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 232-5mamba
- revert previous change; just fix %{_libdir}/libudev.so symlink to /%{_lib}/libudev.so

* Thu Dec 01 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 232-4mamba
- revert moving libudev.[so|la] to %_libdir; patching pkgconfig file instead

* Sun Nov 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 232-3mamba
- move libudev.la and libudev.so to %{_libdir}

* Sun Nov 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 232-2mamba
- create systemd-journal-remote user

* Tue Nov 15 2016 Automatic Build System <autodist@mambasoft.it> 232-1mamba
- automatic version update by autodist

* Tue Jul 26 2016 Automatic Build System <autodist@mambasoft.it> 231-1mamba
- automatic version update by autodist

* Fri Jul 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 230-2mamba
- move udev.pc from libudev-devel to udev as required by dracut and more correct

* Fri May 27 2016 Automatic Build System <autodist@mambasoft.it> 230-1mamba
- automatic version update by autodist

* Fri Feb 19 2016 Automatic Build System <autodist@mambasoft.it> 229-1mamba
- automatic version update by autodist

* Tue Nov 24 2015 Automatic Build System <autodist@mambasoft.it> 228-1mamba
- automatic version update by autodist

* Thu Nov 12 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 226-2mamba
- provide input group

* Mon Sep 21 2015 Automatic Build System <autodist@mambasoft.it> 226-1mamba
- automatic version update by autodist

* Sun Sep 13 2015 Automatic Build System <autodist@mambasoft.it> 225-1mamba
- automatic version update by autodist

* Tue Aug 18 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 224-2mamba
- add systemd-sysv-install

* Tue Aug 04 2015 Automatic Build System <autodist@mambasoft.it> 224-1mamba
- automatic version update by autodist

* Sun Aug 02 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 223-1mamba
- update to 223

* Mon Jun 22 2015 Automatic Build System <autodist@mambasoft.it> 221-1mamba
- automatic version update by autodist

* Sun Jun 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 219-5mamba
- path to silend 'device appeared twice' error,see https://bugs.freedesktop.org/show_bug.cgi?id=90386

* Wed Mar 25 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 219-4mamba
- other two patches for livecd boot problem

* Tue Mar 24 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 219-3mamba
- add upstream patch to fix livecd unmount bug introduced in 219

* Sat Mar 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 219-2mamba
- remove obsolete /proc/bus/usb from fstab or this version won't boot cleanly
- update initial console font with a lighter one and fix mapping

* Sun Feb 22 2015 Automatic Build System <autodist@mambasoft.it> 219-1mamba
- automatic version update by autodist

* Fri Jan 02 2015 Automatic Build System <autodist@mambasoft.it> 218-1mamba
- automatic version update by autodist

* Sun Nov 30 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 217-4mamba
- check for kernel and mkinitrd existence before running mkinitrd

* Sat Nov 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 217-3mamba
- fix myhostname ordering in nsswitch.conf

* Sat Nov 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 217-2mamba
- add --with-debug-shell=/bin/sh because default is /sbin/sushell which we don't have

* Thu Oct 30 2014 Automatic Build System <autodist@mambasoft.it> 217-1mamba
- automatic version update by autodist

* Thu Oct 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 216-7mamba
- create systemd-journal-upload user and group

* Sat Sep 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 216-6mamba
- patch sysv-generator to use native targets instead of runlevel*.target to fix broken sysv services startup
- fix poststrans script for broken old sysv symlinks removal
- restore chkconfig because this is not the problem
- added some new empty directories

* Fri Sep 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 216-5mamba
- disable chkconfig support to fix new systemd-sysv-generator legacy method

* Wed Sep 10 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 216-4mamba
- remove broken sysv5 symlink left after migrating to systemd; fix mkinitrd trigger date check

* Tue Sep 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 216-3mamba
- rebuild initramfs after install
- remove old udev-post init script activation in %post and %postun

* Sun Sep 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 216-2mamba
- add group systemd-journal-remote

* Fri Sep 05 2014 Automatic Build System <autodist@mambasoft.it> 216-1mamba
- automatic version update by autodist

* Tue Aug 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 215-2mamba
- udev: remove initscripts udev and udev-post and /etc/sysconfig/udev

* Thu Jul 10 2014 Automatic Build System <autodist@mambasoft.it> 215-1mamba
- automatic version update by autodist

* Sat Jul 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 214-3mamba
- add systemd-timesync user and group

* Sun Jun 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 214-2mamba
- add new required users systemd-network, systemd-resolve, systemd-bus-proxy

* Wed Jun 18 2014 Automatic Build System <autodist@mambasoft.it> 214-1mamba
- automatic version update by autodist

* Fri May 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 212-7mamba
- nssswitch.conf: configure myhostname as host resolver
- install libnss_myhostname.so.* under /%{_lib}

* Wed Apr 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 212-6mamba
- udev, libudev, libudev-devel: other fixes in requires/obsoletes

* Mon Apr 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 212-5mamba
- no luck with smart and libsystemd-compat, moving compat libraries to libsystemd

* Sun Apr 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 212-4mamba
- rebuilt with --enable-compat-libs

* Sun Apr 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 212-3mamba
- move libraries to libsystemd and libudev, rename systemd-devel to libsystemd-devel and udev-devel to libudev-devel

* Wed Apr 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 212-2mamba
- provide compatibility package with symlinks for old library names

* Tue Apr 01 2014 Automatic Build System <autodist@mambasoft.it> 212-1mamba
- automatic version update by autodist

* Sun Feb 16 2014 Davide Madrisan <davide.madrisan@gmail.com> 208-6mamba
- systemd-core script: send to /dev/null the warning message 'useradd: UID 58 is not unique'
- Avoid bash-only constructs in the package scriplets

* Sun Feb 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 208-5mamba
- x86_64: rebuilt with lib64 python_sitearch
- x86_64: install pam modules under /%{_lib}/security

* Sat Jan 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 208-4mamba
- journald.conf: reduce default journal size from 3GB to 200MB/50MB

* Mon Dec 09 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 208-3mamba
- systemd-core: added Requires(post): pwdutils

* Thu Oct 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 208-2mamba
- add group systemd-journal and user and group systemd-journal-gateway

* Thu Oct 03 2013 Automatic Build System <autodist@mambasoft.it> 208-1mamba
- automatic version update by autodist

* Sun Sep 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 207-4mamba
- swap: also add upstream patch http://cgit.freedesktop.org/systemd/systemd/commit/?id=4e82fe5213bedcb70e25c0270e516d5f2706d8c8

* Thu Sep 26 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 207-3mamba
- added upstream patch to fix swap enabling on boot (https://bugs.freedesktop.org/show_bug.cgi?id=69291)

* Sat Sep 21 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 207-2mamba
- upstream patch to fix gpt error message on boot (https://bugs.freedesktop.org/show_bug.cgi?id=69315)

* Fri Sep 13 2013 Automatic Build System <autodist@mambasoft.it> 207-1mamba
- automatic version update by autodist

* Thu Sep 12 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 206-4mamba
- configure with correct rc-local-script-path for us

* Sat Aug 10 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 206-3mamba
- rebuilt with debug package

* Sat Jul 27 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 206-2mamba
- force configure to use /sbin/kmod instead of /usr/bin/kmod

* Wed Jul 24 2013 Automatic Build System <autodist@mambasoft.it> 206-1mamba
- automatic version update by autodist

* Wed Jul 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 205-2mamba
- added a patch to disable systemd-coredump (keeps dump in memory occupying memory and possibly freezing systems)

* Mon Jul 08 2013 Automatic Build System <autodist@mambasoft.it> 205-1mamba
- automatic version update by autodist

* Wed May 29 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 204-2mamba
- python 2.7 mass rebuild

* Fri May 10 2013 Automatic Build System <autodist@mambasoft.it> 204-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 203-1mamba
- automatic version update by autodist

* Fri Apr 19 2013 Automatic Build System <autodist@mambasoft.it> 202-1mamba
- automatic version update by autodist

* Tue Apr 09 2013 Automatic Build System <autodist@mambasoft.it> 201-1mamba
- automatic version update by autodist

* Sat Apr 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 200-4mamba
- require(post) setup before creating groups

* Fri Apr 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 200-3mamba
- x86_64: fix /sbin/udevd symlink

* Thu Apr 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 200-2mamba
- make modules.d -> modules-load.d conversion more silent

* Fri Mar 29 2013 Automatic Build System <autodist@mambasoft.it> 200-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 199-1mamba
- automatic version update by autodist

* Sun Mar 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-11mamba
- sysv5 legacy commands must be a symlink to /bin/systemctl, except for init which links to systemd

* Sun Mar 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-10mamba
- added /sbin/halt compatibility symlink to /lib/systemd/systemd

* Sat Mar 23 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-9mamba
- move /etc/rcsysinit.d/S12udev to /etc/rc.d/rcsysinit.d/

* Fri Mar 22 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-8mamba
- add /etc and /var empty directories previously unpackaged
- systemd-core: migrate /etc/mtab here instead of in systemd
- systemd-core: migrate from /etc/modules.d to /etc/modules-load.d and make compatibility symlink

* Thu Mar 21 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-7mamba
- systemd: also conflict with initscripts-sysv5

* Wed Mar 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-6mamba
- systemd: revert obsoleting sysvinit, require sysvinit-tools

* Wed Mar 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-5mamba
- systemd-core: create /etc/machine-id on install/upgrade

* Tue Mar 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-4mamba
- provide/obsolete sysvinit
- provide /etc/mtab as a symlink to /proc/mounts

* Mon Mar 18 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-3mamba
- create /etc/hostname using hostname in /etc/sysconfig/network for systemd

* Sun Mar 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 198-2mamba
- added a patch to support tty instead of lock group for openmamba
- require liblockdev

* Tue Mar 12 2013 Automatic Build System <autodist@mambasoft.it> 198-1mamba
- automatic version update by autodist

* Sat Feb 16 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 197-3mamba
- udev: run udevadm hwdb --update in post script
- revert an upstream patch to re-enable support for change events (https://bugzilla.redhat.com/show_bug.cgi?id=903716)

* Sat Jan 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 197-2mamba
- udev-devel: require systemd-devel

* Thu Jan 10 2013 Automatic Build System <autodist@mambasoft.it> 197-1mamba
- automatic version update by autodist

* Thu Nov 22 2012 Automatic Build System <autodist@mambasoft.it> 196-1mamba
- automatic version update by autodist

* Wed Nov 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 195-4mamba
- move systemd core files to systemd-core for use by udev with sysvinit still enabled

* Sat Nov 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 195-3mamba
- restore scripts from udev-182 used by udev-openmamba.rules

* Fri Nov 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 195-2mamba
- bump epoch up for udev upgrade
- provide compatibility symlink libudev.so.0
- move systemd-udevd to udev subpackage and fix compatibility symlink /sbin/udevd
- fix initscript to match new udevd daemon path

* Tue Oct 23 2012 Automatic Build System <autodist@mambasoft.it> 195-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 194-1mamba
- automatic version update by autodist

* Fri Sep 28 2012 Automatic Build System <autodist@mambasoft.it> 193-1mamba
- automatic version update by autodist

* Wed Sep 26 2012 Automatic Build System <autodist@mambasoft.it> 192-1mamba
- automatic version update by autodist

* Mon Sep 24 2012 Automatic Build System <autodist@mambasoft.it> 191-1mamba
- automatic version update by autodist

* Thu Aug 23 2012 Automatic Build System <autodist@mambasoft.it> 189-1mamba
- automatic version update by autodist

* Tue Aug 14 2012 Automatic Build System <autodist@mambasoft.it> 188-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 187-1mamba
- update to 187

* Wed Nov 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 37-1mamba
- package created by autospec
